com.independentsoft.exchange

## Class TaskPropertyPath

- java.lang.Object
- - com.independentsoft.exchange.ItemPropertyPath
  - - com.independentsoft.exchange.TaskPropertyPath

-     public class TaskPropertyPath
      extends ItemPropertyPath

  The Class TaskPropertyPath.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UnindexedPropertyPath` | `ACTUAL_WORK`
    `static UnindexedPropertyPath` | `ASSIGNED_TIME`
    `static UnindexedPropertyPath` | `BILLING_INFORMATION`
    `static UnindexedPropertyPath` | `CHANGE_COUNT`
    `static PropertyId` | `COMMON_END_DATE`
    `static PropertyId` | `COMMON_START_DATE`
    `static UnindexedPropertyPath` | `COMPANIES`
    `static UnindexedPropertyPath` | `COMPLETE_DATE`
    `static UnindexedPropertyPath` | `CONTACTS`
    `static UnindexedPropertyPath` | `DELEGATION_STATE`
    `static UnindexedPropertyPath` | `DELEGATOR`
    `static UnindexedPropertyPath` | `DUE_DATE`
    `static UnindexedPropertyPath` | `IS_ASSIGNMENT_EDITABLE`
    `static PropertyId` | `IS_COMPLETE`
    `static PropertyId` | `IS_PRIVATE`
    `static PropertyId` | `IS_RECURRING`
    `static PropertyId` | `IS_TEAM_TASK`
    `static UnindexedPropertyPath` | `MILEAGE`
    `static PropertyId` | `OWNER`
    `static UnindexedPropertyPath` | `PERCENT_COMPLETE`
    `static PropertyTag` | `PRIORITY`
    `static UnindexedPropertyPath` | `RECURRENCE`
    `static PropertyId` | `REMINDER_OVERRIDE_DEFAULT`
    `static PropertyId` | `REMINDER_PLAY_SOUND`
    `static PropertyId` | `REMINDER_SOUND_FILE`
    `static PropertyId` | `REMINDER_TIME`
    `static UnindexedPropertyPath` | `START_DATE`
    `static UnindexedPropertyPath` | `STATUS`
    `static UnindexedPropertyPath` | `STATUS_DESCRIPTION`
    `static UnindexedPropertyPath` | `TOTAL_WORK`

    - ### Fields inherited from class com.independentsoft.exchange.ItemPropertyPath

      `ARCHIVE_TAG, ATTACHMENTS, BLOCK_STATUS, BODY, BODY_HTML_TEXT, BODY_PLAIN_TEXT, CATEGORIES, COMMENT, CONVERSATION_ID, CREATED_TIME, CULTURE, DISPLAY_NAME, EFFECTIVE_RIGHTS, ENTITY_EXTRACTION_RESULT, ENTRY_ID, FLAG, GROUPING_ACTION, HAS_ATTACHMENTS, HAS_BLOCKED_IMAGES, ICON_INDEX, IMPORTANCE, INSTANCE_KEY, IS_ASSOCIATED, IS_HIDDEN, ITEM_CLASS, ITEM_ID, LAST_MODIFIED_TIME, LAST_MODIFIER_NAME, MIME_CONTENT, NEXT_PREDICTED_ACTION, PARENT_ID, PREVIEW, REMINDER_DUE_BY, REMINDER_IS_SET, REMINDER_MINUTES_BEFORE_START, RETENTION_DATE, RETENTION_TAG, SEARCH_KEY, SENSITIVITY, SIZE, STORE_ENTRY_ID, SUBJECT, TEXT_BODY, UNIQUE_BODY, WEB_CLIENT_EDIT_FORM_QUERY_STRING, WEB_CLIENT_READ_FORM_QUERY_STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<PropertyPath>` | `getAllPropertyPaths()` Gets the all property paths.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTUAL_WORK

          public static final UnindexedPropertyPath ACTUAL_WORK

    - #### ASSIGNED_TIME

          public static final UnindexedPropertyPath ASSIGNED_TIME

    - #### BILLING_INFORMATION

          public static final UnindexedPropertyPath BILLING_INFORMATION

    - #### CHANGE_COUNT

          public static final UnindexedPropertyPath CHANGE_COUNT

    - #### COMPANIES

          public static final UnindexedPropertyPath COMPANIES

    - #### COMPLETE_DATE

          public static final UnindexedPropertyPath COMPLETE_DATE

    - #### CONTACTS

          public static final UnindexedPropertyPath CONTACTS

    - #### DELEGATION_STATE

          public static final UnindexedPropertyPath DELEGATION_STATE

    - #### DELEGATOR

          public static final UnindexedPropertyPath DELEGATOR

    - #### DUE_DATE

          public static final UnindexedPropertyPath DUE_DATE

    - #### IS_ASSIGNMENT_EDITABLE

          public static final UnindexedPropertyPath IS_ASSIGNMENT_EDITABLE

    - #### MILEAGE

          public static final UnindexedPropertyPath MILEAGE

    - #### PERCENT_COMPLETE

          public static final UnindexedPropertyPath PERCENT_COMPLETE

    - #### RECURRENCE

          public static final UnindexedPropertyPath RECURRENCE

    - #### START_DATE

          public static final UnindexedPropertyPath START_DATE

    - #### STATUS

          public static final UnindexedPropertyPath STATUS

    - #### STATUS_DESCRIPTION

          public static final UnindexedPropertyPath STATUS_DESCRIPTION

    - #### TOTAL_WORK

          public static final UnindexedPropertyPath TOTAL_WORK

    - #### IS_PRIVATE

          public static final PropertyId IS_PRIVATE

    - #### COMMON_START_DATE

          public static final PropertyId COMMON_START_DATE

    - #### COMMON_END_DATE

          public static final PropertyId COMMON_END_DATE

    - #### REMINDER_OVERRIDE_DEFAULT

          public static final PropertyId REMINDER_OVERRIDE_DEFAULT

    - #### REMINDER_PLAY_SOUND

          public static final PropertyId REMINDER_PLAY_SOUND

    - #### REMINDER_SOUND_FILE

          public static final PropertyId REMINDER_SOUND_FILE

    - #### REMINDER_TIME

          public static final PropertyId REMINDER_TIME

    - #### OWNER

          public static final PropertyId OWNER

    - #### IS_TEAM_TASK

          public static final PropertyId IS_TEAM_TASK

    - #### IS_COMPLETE

          public static final PropertyId IS_COMPLETE

    - #### IS_RECURRING

          public static final PropertyId IS_RECURRING

    - #### PRIORITY

          public static final PropertyTag PRIORITY

  - ### Method Detail

    - #### getAllPropertyPaths

          public static java.util.List<PropertyPath> getAllPropertyPaths()

      Gets the all property paths.
      Returns:
        the all property paths